Package org.codehaus.groovy.groovydoc

# Interface GroovyFieldDoc

All Superinterfaces:
  `Comparable`, `GroovyDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Implementing Classes:
  `SimpleGroovyFieldDoc`

public interface GroovyFieldDoc extends GroovyMemberDoc

## Method Summary

Modifier and Type
Method
Description
`Object`
`constantValue()`
`String`
`constantValueExpression()`
`boolean`
`isTransient()`
`boolean`
`isVolatile()`
`GroovyType`
`type()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

`isSynthetic`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

## Method Details

### constantValue

Object constantValue()

### constantValueExpression

String constantValueExpression()

### isTransient

boolean isTransient()

### isVolatile

boolean isVolatile()

### type

GroovyType type()